Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
fiber_pool Struct Reference

## Data Fields
struct fiber_pool_allocation * | allocations
struct fiber_pool_vacancy * | vacancies
size_t | size
size_t | count
size_t | initial_count
int | free_stacks
size_t | used
size_t | vm_stack_size

## Detailed Description

Definition at line 153 of file cont.c.

## Field Documentation

## ◆ allocations

struct fiber_pool_allocation* fiber_pool::allocations

Definition at line 155 of file cont.c.

## ◆ count

size_t fiber_pool::count

Definition at line 164 of file cont.c.

## ◆ free_stacks

int fiber_pool::free_stacks

Definition at line 170 of file cont.c.

## ◆ initial_count

size_t fiber_pool::initial_count

Definition at line 167 of file cont.c.

## ◆ size

size_t fiber_pool::size

Definition at line 161 of file cont.c.

## ◆ used

size_t fiber_pool::used

Definition at line 173 of file cont.c.

## ◆ vacancies

struct fiber_pool_vacancy* fiber_pool::vacancies

Definition at line 158 of file cont.c.

## ◆ vm_stack_size

size_t fiber_pool::vm_stack_size

Definition at line 176 of file cont.c.

Referenced by Init_Cont().

The documentation for this struct was generated from the following file:

- cont.c